Subject: Re: [PATCH v2 0/2] This PR enables a successful git build on z/OS.

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Feb 2024 23:37:58 -0800

"Haritha  via GitGitGadget" <[email-masked]> writes:

> Since the z/OS linker does not support searching dynamic libraries, and the
> current setting of CC_LD_DYNPATH results in a directory to be supplied to
> the link step with no option as the suffix, it causes a linker error because
> the z/OS LD linker does not accept directories as input. Therefore, we
> workaround this by adding the -L option.

Hmph, do we still need that CC_LD_DYNPATH hack, with 07bbe4ca (Merge
branch 'jc/make-libpath-template', 2024-02-06) already in 'master'?

> And, Introduced z/OS (OS/390) as a
> platform in config.mak.uname

	Add support for z/OS (OS/390) in config.mak.uname.

or something (cf. Documentation/SubmittingPatches)?

> Thanks for taking the time to contribute to Git! Please be advised that the
> Git community does not use github.com for their contributions. Instead, we
> use a mailing list ([email-masked]) for code submissions, code reviews,
> and bug reports. Nevertheless, you can use GitGitGadget
> (https://gitgitgadget.github.io/) to conveniently send your Pull Requests
> commits to our mailing list.
>
> Please read the "guidelines for contributing" linked above!

For whom is the above message addressed?  Who is expected to read
that guidelines?